cth-odoo

Untitled

Sep 23rd, 2021
723
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Error:
  2. Odoo Server Error
  3.  
  4. Traceback (most recent call last):
  5.   File "/data/build/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
  6.     result = request.dispatch()
  7.   File "/data/build/odoo/odoo/http.py", line 684, in dispatch
  8.     result = self._call_function(**self.params)
  9.   File "/data/build/odoo/odoo/http.py", line 360, in _call_function
  10.     return checked_call(self.db, *args, **kwargs)
  11.   File "/data/build/odoo/odoo/service/model.py", line 94, in wrapper
  12.     return f(dbname, *args, **kwargs)
  13.   File "/data/build/odoo/odoo/http.py", line 348, in checked_call
  14.     result = self.endpoint(*a, **kw)
  15.   File "/data/build/odoo/odoo/http.py", line 913, in __call__
  16.     return self.method(*args, **kw)
  17.   File "/data/build/odoo/odoo/http.py", line 532, in response_wrap
  18.     response = f(*args, **kw)
  19.   File "/data/build/odoo/addons/web/controllers/main.py", line 1393, in call_button
  20.     action = self._call_kw(model, method, args, kwargs)
  21.   File "/data/build/odoo/addons/web/controllers/main.py", line 1381, in _call_kw
  22.     return call_kw(request.env[model], method, args, kwargs)
  23.   File "/data/build/odoo/odoo/api.py", line 396, in call_kw
  24.     result = _call_kw_multi(method, model, args, kwargs)
  25.   File "/data/build/odoo/odoo/api.py", line 383, in _call_kw_multi
  26.     result = method(recs, *args, **kwargs)
  27.   File "/data/build/odoo/odoo/addons/base/models/res_config.py", line 623, in execute
  28.     self.set_values()
  29.   File "/data/build/enterprise/industry_fsm_sale/models/res_config_settings.py", line 15, in set_values
  30.     return super(ResConfigSettings, self).set_values()
  31.   File "/data/build/enterprise/sale_timesheet_enterprise/models/res_config_settings.py", line 49, in set_values
  32.     return super(ResConfigSettings, self).set_values()
  33.   File "/data/build/odoo/addons/sale_management/models/res_config_settings.py", line 28, in set_values
  34.     return super(ResConfigSettings, self).set_values()
  35.   File "/data/build/enterprise/pos_iot/models/res_config_settings.py", line 13, in set_values
  36.     super(ResConfigSettings, self).set_values()
  37.   File "/data/build/connect-plus/connect_stock_automatic_batch/models/res_config_settings.py", line 13, in set_values
  38.     self.env['stock.picking'].add_free_incoming_pickings_in_batch()
  39.   File "/data/build/connect-plus/connect_stock_automatic_batch/models/stock_picking.py", line 34, in add_free_incoming_pickings_in_batch
  40.     ('partner_id', '!=', False)
  41. Exception
  42.  
  43. The above exception was the direct cause of the following exception:
  44.  
  45. Traceback (most recent call last):
  46.   File "/data/build/odoo/odoo/http.py", line 640, in _handle_exception
  47.     return super(JsonRequest, self)._handle_exception(exception)
  48.   File "/data/build/odoo/odoo/http.py", line 316, in _handle_exception
  49.     raise exception.with_traceback(None) from new_cause
  50. TypeError: 'tuple' object is not callable
RAW Paste Data